- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DecState Struct Reference

`#include <nb_celp.h>`

List of all members.

## Public Attributes
const SpeexMode * | mode
int | first
int | count_lost
int | frameSize
int | subframeSize
int | nbSubframes
int | lpcSize
int | min_pitch
int | max_pitch
spx_word16_t | last_ol_gain
char * | stack
spx_sig_t * | inBuf
spx_sig_t * | frame
spx_sig_t * | excBuf
spx_sig_t * | exc
spx_sig_t * | innov
spx_lsp_t * | qlsp
spx_lsp_t * | old_qlsp
spx_lsp_t * | interp_qlsp
spx_coef_t * | interp_qlpc
spx_mem_t * | mem_sp
spx_word32_t * | pi_gain
int | last_pitch
spx_word16_t | last_pitch_gain
spx_word16_t | pitch_gain_buf [3]
int | pitch_gain_buf_idx
int | encode_submode
const SpeexSubmode *const * | submodes
int | submodeID
int | lpc_enh_enabled

## Detailed Description

Structure representing the full state of the narrowband decoder

## Member Data Documentation

const SpeexMode* DecState::mode

Mode corresponding to the state

int DecState::first

Is this the first frame?

int DecState::count_lost

Was the last frame lost?

int DecState::frameSize

Size of frames

int DecState::subframeSize

Size of sub-frames

int DecState::nbSubframes

Number of sub-frames

int DecState::lpcSize

LPC order

int DecState::min_pitch

Minimum pitch value allowed

int DecState::max_pitch

Maximum pitch value allowed

spx_word16_t DecState::last_ol_gain

Open-loop gain for previous frame

char* DecState::stack

Pseudo-stack allocation for temporary memory

spx_sig_t* DecState::inBuf

Input buffer (original signal)

spx_sig_t* DecState::frame

Start of original frame

spx_sig_t* DecState::excBuf

Excitation buffer

spx_sig_t* DecState::exc

Start of excitation frame

spx_sig_t* DecState::innov

Innovation for the frame

spx_lsp_t* DecState::qlsp

Quantized LSPs for current frame

spx_lsp_t* DecState::old_qlsp

Quantized LSPs for previous frame

spx_lsp_t* DecState::interp_qlsp

Interpolated quantized LSPs

spx_coef_t* DecState::interp_qlpc

Interpolated quantized LPCs

spx_mem_t* DecState::mem_sp

Filter memory for synthesis signal

spx_word32_t* DecState::pi_gain

Gain of LPC filter at theta=pi (fe/2)

int DecState::last_pitch

Pitch of last correctly decoded frame

spx_word16_t DecState::last_pitch_gain

Pitch gain of last correctly decoded frame

spx_word16_t DecState::pitch_gain_buf[3]

Pitch gain of last decoded frames

int DecState::pitch_gain_buf_idx

Tail of the buffer

int DecState::encode_submode

Seed used for random number generation

const SpeexSubmode* const* DecState::submodes

Sub-mode data

int DecState::submodeID

Activated sub-mode

int DecState::lpc_enh_enabled

1 when LPC enhancer is on, 0 otherwise

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/libspeex/nb_celp.h